package com.chinaitop.depot.grainAnalysis.mapper;

import com.chinaitop.depot.grainAnalysis.model.GrainAnalysisTestdata;
import com.chinaitop.depot.grainAnalysis.model.GrainAnalysisTestdataExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface GrainAnalysisTestdataMapper {
    int countByExample(GrainAnalysisTestdataExample example);

    int deleteByExample(GrainAnalysisTestdataExample example);

    int deleteByPrimaryKey(String id);

    int insert(GrainAnalysisTestdata record);

    int insertSelective(GrainAnalysisTestdata record);

    List<GrainAnalysisTestdata> selectByExample(GrainAnalysisTestdataExample example);

    GrainAnalysisTestdata selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GrainAnalysisTestdata record, @Param("example") GrainAnalysisTestdataExample example);

    int updateByExample(@Param("record") GrainAnalysisTestdata record, @Param("example") GrainAnalysisTestdataExample example);

    int updateByPrimaryKeySelective(GrainAnalysisTestdata record);

    int updateByPrimaryKey(GrainAnalysisTestdata record);

    /**
     * 查询一个仓房在一段时间内的测温数据， 取每一天的最后一条
     * @param map
     * @return
     */
    List<GrainAnalysisTestdata> selectHouseTestdata(Map<String, Object> map);
}