package com.chinaitop.depot.grainAnalysis.mapper;

import com.chinaitop.depot.grainAnalysis.model.StorageGrainAnalysis;
import com.chinaitop.depot.grainAnalysis.model.StorageGrainAnalysisExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface StorageGrainAnalysisMapper {
    int countByExample(StorageGrainAnalysisExample example);

    int deleteByExample(StorageGrainAnalysisExample example);

    int deleteByPrimaryKey(String id);

    int insert(StorageGrainAnalysis record);

    int insertSelective(StorageGrainAnalysis record);

    List<StorageGrainAnalysis> selectByExample(StorageGrainAnalysisExample example);

    StorageGrainAnalysis selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") StorageGrainAnalysis record, @Param("example") StorageGrainAnalysisExample example);

    int updateByExample(@Param("record") StorageGrainAnalysis record, @Param("example") StorageGrainAnalysisExample example);

    int updateByPrimaryKeySelective(StorageGrainAnalysis record);

    int updateByPrimaryKey(StorageGrainAnalysis record);

    /**
     * 查询当前库中有粮的仓房数据(不含油罐)
     * @param orgId
     * @return
     */
	List<Map<String, Object>> selectClcf(String orgId);

	/**
	 * 供市平台查询粮情分析列表接口
	 * @param map
	 * @return
	 */
	List<StorageGrainAnalysis> selectByExampleSpt(Map<String, Object> map);
}