package com.chinaitop.depot.grainAnalysis.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class StorageGrainAnalysisExample {
    /**
     * storage_grain_analysis
     */
    protected String orderByClause;

    /**
     * storage_grain_analysis
     */
    protected boolean distinct;

    /**
     * storage_grain_analysis
     */
    protected List<Criteria> oredCriteria;

    public StorageGrainAnalysisExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * storage_grain_analysis 2024-10-11
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(Integer value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(Integer value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(Integer value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(Integer value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<Integer> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<Integer> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andDataTypeIsNull() {
            addCriterion("data_type is null");
            return (Criteria) this;
        }

        public Criteria andDataTypeIsNotNull() {
            addCriterion("data_type is not null");
            return (Criteria) this;
        }

        public Criteria andDataTypeEqualTo(String value) {
            addCriterion("data_type =", value, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeNotEqualTo(String value) {
            addCriterion("data_type <>", value, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeGreaterThan(String value) {
            addCriterion("data_type >", value, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeGreaterThanOrEqualTo(String value) {
            addCriterion("data_type >=", value, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeLessThan(String value) {
            addCriterion("data_type <", value, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeLessThanOrEqualTo(String value) {
            addCriterion("data_type <=", value, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeLike(String value) {
            addCriterion("data_type like", value, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeNotLike(String value) {
            addCriterion("data_type not like", value, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeIn(List<String> values) {
            addCriterion("data_type in", values, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeNotIn(List<String> values) {
            addCriterion("data_type not in", values, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeBetween(String value1, String value2) {
            addCriterion("data_type between", value1, value2, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeNotBetween(String value1, String value2) {
            addCriterion("data_type not between", value1, value2, "dataType");
            return (Criteria) this;
        }

        public Criteria andTjrqIsNull() {
            addCriterion("tjrq is null");
            return (Criteria) this;
        }

        public Criteria andTjrqIsNotNull() {
            addCriterion("tjrq is not null");
            return (Criteria) this;
        }

        public Criteria andTjrqEqualTo(Date value) {
            addCriterion("tjrq =", value, "tjrq");
            return (Criteria) this;
        }

        public Criteria andTjrqNotEqualTo(Date value) {
            addCriterion("tjrq <>", value, "tjrq");
            return (Criteria) this;
        }

        public Criteria andTjrqGreaterThan(Date value) {
            addCriterion("tjrq >", value, "tjrq");
            return (Criteria) this;
        }

        public Criteria andTjrqGreaterThanOrEqualTo(Date value) {
            addCriterion("tjrq >=", value, "tjrq");
            return (Criteria) this;
        }

        public Criteria andTjrqLessThan(Date value) {
            addCriterion("tjrq <", value, "tjrq");
            return (Criteria) this;
        }

        public Criteria andTjrqLessThanOrEqualTo(Date value) {
            addCriterion("tjrq <=", value, "tjrq");
            return (Criteria) this;
        }

        public Criteria andTjrqIn(List<Date> values) {
            addCriterion("tjrq in", values, "tjrq");
            return (Criteria) this;
        }

        public Criteria andTjrqNotIn(List<Date> values) {
            addCriterion("tjrq not in", values, "tjrq");
            return (Criteria) this;
        }

        public Criteria andTjrqBetween(Date value1, Date value2) {
            addCriterion("tjrq between", value1, value2, "tjrq");
            return (Criteria) this;
        }

        public Criteria andTjrqNotBetween(Date value1, Date value2) {
            addCriterion("tjrq not between", value1, value2, "tjrq");
            return (Criteria) this;
        }

        public Criteria andSbzqIsNull() {
            addCriterion("sbzq is null");
            return (Criteria) this;
        }

        public Criteria andSbzqIsNotNull() {
            addCriterion("sbzq is not null");
            return (Criteria) this;
        }

        public Criteria andSbzqEqualTo(String value) {
            addCriterion("sbzq =", value, "sbzq");
            return (Criteria) this;
        }

        public Criteria andSbzqNotEqualTo(String value) {
            addCriterion("sbzq <>", value, "sbzq");
            return (Criteria) this;
        }

        public Criteria andSbzqGreaterThan(String value) {
            addCriterion("sbzq >", value, "sbzq");
            return (Criteria) this;
        }

        public Criteria andSbzqGreaterThanOrEqualTo(String value) {
            addCriterion("sbzq >=", value, "sbzq");
            return (Criteria) this;
        }

        public Criteria andSbzqLessThan(String value) {
            addCriterion("sbzq <", value, "sbzq");
            return (Criteria) this;
        }

        public Criteria andSbzqLessThanOrEqualTo(String value) {
            addCriterion("sbzq <=", value, "sbzq");
            return (Criteria) this;
        }

        public Criteria andSbzqLike(String value) {
            addCriterion("sbzq like", value, "sbzq");
            return (Criteria) this;
        }

        public Criteria andSbzqNotLike(String value) {
            addCriterion("sbzq not like", value, "sbzq");
            return (Criteria) this;
        }

        public Criteria andSbzqIn(List<String> values) {
            addCriterion("sbzq in", values, "sbzq");
            return (Criteria) this;
        }

        public Criteria andSbzqNotIn(List<String> values) {
            addCriterion("sbzq not in", values, "sbzq");
            return (Criteria) this;
        }

        public Criteria andSbzqBetween(String value1, String value2) {
            addCriterion("sbzq between", value1, value2, "sbzq");
            return (Criteria) this;
        }

        public Criteria andSbzqNotBetween(String value1, String value2) {
            addCriterion("sbzq not between", value1, value2, "sbzq");
            return (Criteria) this;
        }

        public Criteria andJcksrqIsNull() {
            addCriterion("jcksrq is null");
            return (Criteria) this;
        }

        public Criteria andJcksrqIsNotNull() {
            addCriterion("jcksrq is not null");
            return (Criteria) this;
        }

        public Criteria andJcksrqEqualTo(Date value) {
            addCriterion("jcksrq =", value, "jcksrq");
            return (Criteria) this;
        }

        public Criteria andJcksrqNotEqualTo(Date value) {
            addCriterion("jcksrq <>", value, "jcksrq");
            return (Criteria) this;
        }

        public Criteria andJcksrqGreaterThan(Date value) {
            addCriterion("jcksrq >", value, "jcksrq");
            return (Criteria) this;
        }

        public Criteria andJcksrqGreaterThanOrEqualTo(Date value) {
            addCriterion("jcksrq >=", value, "jcksrq");
            return (Criteria) this;
        }

        public Criteria andJcksrqLessThan(Date value) {
            addCriterion("jcksrq <", value, "jcksrq");
            return (Criteria) this;
        }

        public Criteria andJcksrqLessThanOrEqualTo(Date value) {
            addCriterion("jcksrq <=", value, "jcksrq");
            return (Criteria) this;
        }

        public Criteria andJcksrqIn(List<Date> values) {
            addCriterion("jcksrq in", values, "jcksrq");
            return (Criteria) this;
        }

        public Criteria andJcksrqNotIn(List<Date> values) {
            addCriterion("jcksrq not in", values, "jcksrq");
            return (Criteria) this;
        }

        public Criteria andJcksrqBetween(Date value1, Date value2) {
            addCriterion("jcksrq between", value1, value2, "jcksrq");
            return (Criteria) this;
        }

        public Criteria andJcksrqNotBetween(Date value1, Date value2) {
            addCriterion("jcksrq not between", value1, value2, "jcksrq");
            return (Criteria) this;
        }

        public Criteria andJcjsrqIsNull() {
            addCriterion("jcjsrq is null");
            return (Criteria) this;
        }

        public Criteria andJcjsrqIsNotNull() {
            addCriterion("jcjsrq is not null");
            return (Criteria) this;
        }

        public Criteria andJcjsrqEqualTo(Date value) {
            addCriterion("jcjsrq =", value, "jcjsrq");
            return (Criteria) this;
        }

        public Criteria andJcjsrqNotEqualTo(Date value) {
            addCriterion("jcjsrq <>", value, "jcjsrq");
            return (Criteria) this;
        }

        public Criteria andJcjsrqGreaterThan(Date value) {
            addCriterion("jcjsrq >", value, "jcjsrq");
            return (Criteria) this;
        }

        public Criteria andJcjsrqGreaterThanOrEqualTo(Date value) {
            addCriterion("jcjsrq >=", value, "jcjsrq");
            return (Criteria) this;
        }

        public Criteria andJcjsrqLessThan(Date value) {
            addCriterion("jcjsrq <", value, "jcjsrq");
            return (Criteria) this;
        }

        public Criteria andJcjsrqLessThanOrEqualTo(Date value) {
            addCriterion("jcjsrq <=", value, "jcjsrq");
            return (Criteria) this;
        }

        public Criteria andJcjsrqIn(List<Date> values) {
            addCriterion("jcjsrq in", values, "jcjsrq");
            return (Criteria) this;
        }

        public Criteria andJcjsrqNotIn(List<Date> values) {
            addCriterion("jcjsrq not in", values, "jcjsrq");
            return (Criteria) this;
        }

        public Criteria andJcjsrqBetween(Date value1, Date value2) {
            addCriterion("jcjsrq between", value1, value2, "jcjsrq");
            return (Criteria) this;
        }

        public Criteria andJcjsrqNotBetween(Date value1, Date value2) {
            addCriterion("jcjsrq not between", value1, value2, "jcjsrq");
            return (Criteria) this;
        }

        public Criteria andSbcfsIsNull() {
            addCriterion("sbcfs is null");
            return (Criteria) this;
        }

        public Criteria andSbcfsIsNotNull() {
            addCriterion("sbcfs is not null");
            return (Criteria) this;
        }

        public Criteria andSbcfsEqualTo(Integer value) {
            addCriterion("sbcfs =", value, "sbcfs");
            return (Criteria) this;
        }

        public Criteria andSbcfsNotEqualTo(Integer value) {
            addCriterion("sbcfs <>", value, "sbcfs");
            return (Criteria) this;
        }

        public Criteria andSbcfsGreaterThan(Integer value) {
            addCriterion("sbcfs >", value, "sbcfs");
            return (Criteria) this;
        }

        public Criteria andSbcfsGreaterThanOrEqualTo(Integer value) {
            addCriterion("sbcfs >=", value, "sbcfs");
            return (Criteria) this;
        }

        public Criteria andSbcfsLessThan(Integer value) {
            addCriterion("sbcfs <", value, "sbcfs");
            return (Criteria) this;
        }

        public Criteria andSbcfsLessThanOrEqualTo(Integer value) {
            addCriterion("sbcfs <=", value, "sbcfs");
            return (Criteria) this;
        }

        public Criteria andSbcfsIn(List<Integer> values) {
            addCriterion("sbcfs in", values, "sbcfs");
            return (Criteria) this;
        }

        public Criteria andSbcfsNotIn(List<Integer> values) {
            addCriterion("sbcfs not in", values, "sbcfs");
            return (Criteria) this;
        }

        public Criteria andSbcfsBetween(Integer value1, Integer value2) {
            addCriterion("sbcfs between", value1, value2, "sbcfs");
            return (Criteria) this;
        }

        public Criteria andSbcfsNotBetween(Integer value1, Integer value2) {
            addCriterion("sbcfs not between", value1, value2, "sbcfs");
            return (Criteria) this;
        }

        public Criteria andDataStatusIsNull() {
            addCriterion("data_status is null");
            return (Criteria) this;
        }

        public Criteria andDataStatusIsNotNull() {
            addCriterion("data_status is not null");
            return (Criteria) this;
        }

        public Criteria andDataStatusEqualTo(String value) {
            addCriterion("data_status =", value, "dataStatus");
            return (Criteria) this;
        }

        public Criteria andDataStatusNotEqualTo(String value) {
            addCriterion("data_status <>", value, "dataStatus");
            return (Criteria) this;
        }

        public Criteria andDataStatusGreaterThan(String value) {
            addCriterion("data_status >", value, "dataStatus");
            return (Criteria) this;
        }

        public Criteria andDataStatusGreaterThanOrEqualTo(String value) {
            addCriterion("data_status >=", value, "dataStatus");
            return (Criteria) this;
        }

        public Criteria andDataStatusLessThan(String value) {
            addCriterion("data_status <", value, "dataStatus");
            return (Criteria) this;
        }

        public Criteria andDataStatusLessThanOrEqualTo(String value) {
            addCriterion("data_status <=", value, "dataStatus");
            return (Criteria) this;
        }

        public Criteria andDataStatusLike(String value) {
            addCriterion("data_status like", value, "dataStatus");
            return (Criteria) this;
        }

        public Criteria andDataStatusNotLike(String value) {
            addCriterion("data_status not like", value, "dataStatus");
            return (Criteria) this;
        }

        public Criteria andDataStatusIn(List<String> values) {
            addCriterion("data_status in", values, "dataStatus");
            return (Criteria) this;
        }

        public Criteria andDataStatusNotIn(List<String> values) {
            addCriterion("data_status not in", values, "dataStatus");
            return (Criteria) this;
        }

        public Criteria andDataStatusBetween(String value1, String value2) {
            addCriterion("data_status between", value1, value2, "dataStatus");
            return (Criteria) this;
        }

        public Criteria andDataStatusNotBetween(String value1, String value2) {
            addCriterion("data_status not between", value1, value2, "dataStatus");
            return (Criteria) this;
        }

        public Criteria andLspzIsNull() {
            addCriterion("lspz is null");
            return (Criteria) this;
        }

        public Criteria andLspzIsNotNull() {
            addCriterion("lspz is not null");
            return (Criteria) this;
        }

        public Criteria andLspzEqualTo(Integer value) {
            addCriterion("lspz =", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzNotEqualTo(Integer value) {
            addCriterion("lspz <>", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzGreaterThan(Integer value) {
            addCriterion("lspz >", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzGreaterThanOrEqualTo(Integer value) {
            addCriterion("lspz >=", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzLessThan(Integer value) {
            addCriterion("lspz <", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzLessThanOrEqualTo(Integer value) {
            addCriterion("lspz <=", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzIn(List<Integer> values) {
            addCriterion("lspz in", values, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzNotIn(List<Integer> values) {
            addCriterion("lspz not in", values, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzBetween(Integer value1, Integer value2) {
            addCriterion("lspz between", value1, value2, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzNotBetween(Integer value1, Integer value2) {
            addCriterion("lspz not between", value1, value2, "lspz");
            return (Criteria) this;
        }

        public Criteria andCjsjIsNull() {
            addCriterion("cjsj is null");
            return (Criteria) this;
        }

        public Criteria andCjsjIsNotNull() {
            addCriterion("cjsj is not null");
            return (Criteria) this;
        }

        public Criteria andCjsjEqualTo(Date value) {
            addCriterion("cjsj =", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotEqualTo(Date value) {
            addCriterion("cjsj <>", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjGreaterThan(Date value) {
            addCriterion("cjsj >", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjGreaterThanOrEqualTo(Date value) {
            addCriterion("cjsj >=", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjLessThan(Date value) {
            addCriterion("cjsj <", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjLessThanOrEqualTo(Date value) {
            addCriterion("cjsj <=", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjIn(List<Date> values) {
            addCriterion("cjsj in", values, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotIn(List<Date> values) {
            addCriterion("cjsj not in", values, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjBetween(Date value1, Date value2) {
            addCriterion("cjsj between", value1, value2, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotBetween(Date value1, Date value2) {
            addCriterion("cjsj not between", value1, value2, "cjsj");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNull() {
            addCriterion("updatetime is null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNotNull() {
            addCriterion("updatetime is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeEqualTo(Date value) {
            addCriterion("updatetime =", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotEqualTo(Date value) {
            addCriterion("updatetime <>", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThan(Date value) {
            addCriterion("updatetime >", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("updatetime >=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThan(Date value) {
            addCriterion("updatetime <", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThanOrEqualTo(Date value) {
            addCriterion("updatetime <=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIn(List<Date> values) {
            addCriterion("updatetime in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotIn(List<Date> values) {
            addCriterion("updatetime not in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeBetween(Date value1, Date value2) {
            addCriterion("updatetime between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotBetween(Date value1, Date value2) {
            addCriterion("updatetime not between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andSsyfEqualTo(String value) {
            addCriterion("ssyf =", value, "ssyf");
            return (Criteria) this;
        }

        public Criteria andSsyfIn(List<String> values) {
            addCriterion("ssyf in", values, "ssyf");
            return (Criteria) this;
        }
    }

    /**
     * storage_grain_analysis
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * storage_grain_analysis 2024-10-11
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}