package com.chinaitop.depot.keeperAccount.mapper;

import com.chinaitop.depot.keeperAccount.model.StorageFcbgz;
import com.chinaitop.depot.keeperAccount.model.StorageFcbgzExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface StorageFcbgzMapper {
    int countByExample(StorageFcbgzExample example);

    int deleteByExample(StorageFcbgzExample example);

    int deleteByPrimaryKey(String id);

    int insert(StorageFcbgz record);

    int insertSelective(StorageFcbgz record);

    List<StorageFcbgz> selectByExample(StorageFcbgzExample example);

    StorageFcbgz selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") StorageFcbgz record, @Param("example") StorageFcbgzExample example);

    int updateByExample(@Param("record") StorageFcbgz record, @Param("example") StorageFcbgzExample example);

    int updateByPrimaryKeySelective(StorageFcbgz record);

    int updateByPrimaryKey(StorageFcbgz record);

    /**
     * 根据出入库分仓保管账表数据分组统计查询数据
     * @param map
     * @return
     */
	List<StorageFcbgz> queryCrkFcbgzGroupByData(Map<String, Object> map);

	/**
	 * 新版分仓保管账查询列表
	 * @param map
	 * @return
	 */
	List<StorageFcbgz> selectFcbgzList(Map<String, Object> map);
}