package com.chinaitop.depot.grainAnalysis.mapper;

import com.chinaitop.depot.grainAnalysis.model.GrainAnalysis;
import com.chinaitop.depot.grainAnalysis.model.GrainAnalysisExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface GrainAnalysisMapper {
    int countByExample(GrainAnalysisExample example);

    int deleteByExample(GrainAnalysisExample example);

    int deleteByPrimaryKey(String id);

    int insert(GrainAnalysis record);

    int insertSelective(GrainAnalysis record);

    List<GrainAnalysis> selectByExample(GrainAnalysisExample example);

    GrainAnalysis selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GrainAnalysis record, @Param("example") GrainAnalysisExample example);

    int updateByExample(@Param("record") GrainAnalysis record, @Param("example") GrainAnalysisExample example);

    int updateByPrimaryKeySelective(GrainAnalysis record);

    int updateByPrimaryKey(GrainAnalysis record);

    /**
     * 市平台查询一条周报下的仓房分析明细列表
     * @param zid
     * @return
     */
    List<GrainAnalysis> selectByExampleSpt(String zid);
}