package com.chinaitop.depot.grainAnalysis.mapper;

import com.chinaitop.depot.grainAnalysis.model.GrainAnalysisMonthdata;
import com.chinaitop.depot.grainAnalysis.model.GrainAnalysisMonthdataExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface GrainAnalysisMonthdataMapper {
    int countByExample(GrainAnalysisMonthdataExample example);

    int deleteByExample(GrainAnalysisMonthdataExample example);

    int deleteByPrimaryKey(String id);

    int insert(GrainAnalysisMonthdata record);

    int insertSelective(GrainAnalysisMonthdata record);

    List<GrainAnalysisMonthdata> selectByExample(GrainAnalysisMonthdataExample example);

    GrainAnalysisMonthdata selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GrainAnalysisMonthdata record, @Param("example") GrainAnalysisMonthdataExample example);

    int updateByExample(@Param("record") GrainAnalysisMonthdata record, @Param("example") GrainAnalysisMonthdataExample example);

    int updateByPrimaryKeySelective(GrainAnalysisMonthdata record);

    int updateByPrimaryKey(GrainAnalysisMonthdata record);

    /**
     * 查询一个仓房对应月份的周报数据
     * @param map 参数对象
     * @return
     */
    List<GrainAnalysisMonthdata> queryWeekAnalysis(Map<String, Object> map);
    
    /**
     * 查询一个仓房对应季度的月报数据
     * @param map 参数对象
     * @return
     */
    List<GrainAnalysisMonthdata> queryMonthAnalysis(Map<String, Object> map);
}