package com.chinaitop.depot.grainAnalysis.model;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class GrainAnalysisMonthdata {
    private String id;//主键id

    private String grainAnalysisId;//grain_analysis表主键ID

    private String lyzbid;//来源周报或月报的数据ID

    private Integer orgId;//库ID

    private String sbqs;//周报期数

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date tjrq;//提交日期

    private String cnjcqk;//仓内检查情况

    private String lqfx;//粮情分析

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date cjsj;//创建时间

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatetime;//最后修改时间

    /**
     * 主键ID
     * @return id 主键ID
     */
    public String getId() {
        return id;
    }

    /**
     * 主键ID
     * @param id 主键ID
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * grain_analysis表的ID
     * @return grain_analysis_id grain_analysis表的ID
     */
    public String getGrainAnalysisId() {
        return grainAnalysisId;
    }

    /**
     * grain_analysis表的ID
     * @param grainAnalysisId grain_analysis表的ID
     */
    public void setGrainAnalysisId(String grainAnalysisId) {
        this.grainAnalysisId = grainAnalysisId == null ? null : grainAnalysisId.trim();
    }

    /**
     * 来源周报的数据ID
     * @return lyzbid 来源周报的数据ID
     */
    public String getLyzbid() {
        return lyzbid;
    }

    /**
     * 来源周报的数据ID
     * @param lyzbid 来源周报的数据ID
     */
    public void setLyzbid(String lyzbid) {
        this.lyzbid = lyzbid == null ? null : lyzbid.trim();
    }

    /**
     * 库ID
     * @return org_id 库ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 库ID
     * @param orgId 库ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 上报期数(周报期数)
     * @return sbqs 上报期数(周报期数)
     */
    public String getSbqs() {
        return sbqs;
    }

    /**
     * 上报期数(周报期数)
     * @param sbqs 上报期数(周报期数)
     */
    public void setSbqs(String sbqs) {
        this.sbqs = sbqs == null ? null : sbqs.trim();
    }

    /**
     * 提交日期
     * @return tjrq 提交日期
     */
    public Date getTjrq() {
        return tjrq;
    }

    /**
     * 提交日期
     * @param tjrq 提交日期
     */
    public void setTjrq(Date tjrq) {
        this.tjrq = tjrq;
    }

    /**
     * 仓内检查情况
     * @return cnjcqk 仓内检查情况
     */
    public String getCnjcqk() {
        return cnjcqk;
    }

    /**
     * 仓内检查情况
     * @param cnjcqk 仓内检查情况
     */
    public void setCnjcqk(String cnjcqk) {
        this.cnjcqk = cnjcqk == null ? null : cnjcqk.trim();
    }

    /**
     * 粮情分析
     * @return lqfx 粮情分析
     */
    public String getLqfx() {
        return lqfx;
    }

    /**
     * 粮情分析
     * @param lqfx 粮情分析
     */
    public void setLqfx(String lqfx) {
        this.lqfx = lqfx == null ? null : lqfx.trim();
    }

    /**
     * 创建时间
     * @return cjsj 创建时间
     */
    public Date getCjsj() {
        return cjsj;
    }

    /**
     * 创建时间
     * @param cjsj 创建时间
     */
    public void setCjsj(Date cjsj) {
        this.cjsj = cjsj;
    }

    /**
     * 最后修改时间
     * @return updatetime 最后修改时间
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 最后修改时间
     * @param updatetime 最后修改时间
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}