package com.chinaitop.depot.grainAnalysis.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class GrainAnalysisTestdata {
    private String id;//主键uuid

    private String grainAnalysisId;//grain_analysis表主键ID

    private Integer orgId;//库ID

    private BigDecimal intemp;//仓内温

    private BigDecimal inh;//仓内湿

    private BigDecimal outtemp;//仓外温

    private BigDecimal outh;//仓外湿

    private BigDecimal tMax;//最高粮温

    private BigDecimal tMin;//最低粮温

    private BigDecimal tAvg;//平均粮温

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date tTime;//温度采集时间

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date cjsj;//创建时间

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatetime;//最后修改时间

    /**
     * null
     * @return id null
     */
    public String getId() {
        return id;
    }

    /**
     * null
     * @param id null
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * null
     * @return grain_analysis_id null
     */
    public String getGrainAnalysisId() {
        return grainAnalysisId;
    }

    /**
     * null
     * @param grainAnalysisId null
     */
    public void setGrainAnalysisId(String grainAnalysisId) {
        this.grainAnalysisId = grainAnalysisId == null ? null : grainAnalysisId.trim();
    }

    /**
     * null
     * @return org_id null
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * null
     * @param orgId null
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * null
     * @return intemp null
     */
    public BigDecimal getIntemp() {
        return intemp;
    }

    /**
     * null
     * @param intemp null
     */
    public void setIntemp(BigDecimal intemp) {
        this.intemp = intemp;
    }

    /**
     * null
     * @return inh null
     */
    public BigDecimal getInh() {
        return inh;
    }

    /**
     * null
     * @param inh null
     */
    public void setInh(BigDecimal inh) {
        this.inh = inh;
    }

    /**
     * null
     * @return outtemp null
     */
    public BigDecimal getOuttemp() {
        return outtemp;
    }

    /**
     * null
     * @param outtemp null
     */
    public void setOuttemp(BigDecimal outtemp) {
        this.outtemp = outtemp;
    }

    /**
     * null
     * @return outh null
     */
    public BigDecimal getOuth() {
        return outh;
    }

    /**
     * null
     * @param outh null
     */
    public void setOuth(BigDecimal outh) {
        this.outh = outh;
    }

    /**
     * null
     * @return t_max null
     */
    public BigDecimal gettMax() {
        return tMax;
    }

    /**
     * null
     * @param tMax null
     */
    public void settMax(BigDecimal tMax) {
        this.tMax = tMax;
    }

    /**
     * null
     * @return t_min null
     */
    public BigDecimal gettMin() {
        return tMin;
    }

    /**
     * null
     * @param tMin null
     */
    public void settMin(BigDecimal tMin) {
        this.tMin = tMin;
    }

    /**
     * null
     * @return t_avg null
     */
    public BigDecimal gettAvg() {
        return tAvg;
    }

    /**
     * null
     * @param tAvg null
     */
    public void settAvg(BigDecimal tAvg) {
        this.tAvg = tAvg;
    }

    /**
     * null
     * @return t_time null
     */
    public Date gettTime() {
        return tTime;
    }

    /**
     * null
     * @param tTime null
     */
    public void settTime(Date tTime) {
        this.tTime = tTime;
    }

    /**
     * null
     * @return cjsj null
     */
    public Date getCjsj() {
        return cjsj;
    }

    /**
     * null
     * @param cjsj null
     */
    public void setCjsj(Date cjsj) {
        this.cjsj = cjsj;
    }

    /**
     * null
     * @return updatetime null
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * null
     * @param updatetime null
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}